Bug 734349 - File bug with upstream requesting man pages for binaries
Summary: File bug with upstream requesting man pages for binaries
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: openstack-nova
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-30 07:05 UTC by Mark McLoughlin
Modified: 2013-02-13 19:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 19:28:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 837778 None None None Never

Description Mark McLoughlin 2011-08-30 07:05:53 UTC
rpmlint complains:

openstack-nova.noarch: W: no-manual-page-for-binary nova-clear-rabbit-queues
openstack-nova.noarch: W: no-manual-page-for-binary nova-dhcpbridge
openstack-nova.noarch: W: no-manual-page-for-binary nova-manage
openstack-nova.noarch: W: no-manual-page-for-binary nova-console
openstack-nova.noarch: W: no-manual-page-for-binary nova-compute
openstack-nova.noarch: W: no-manual-page-for-binary nova-api
openstack-nova.noarch: W: no-manual-page-for-binary nova-volume
openstack-nova.noarch: W: no-manual-page-for-binary nova-logspool
openstack-nova.noarch: W: no-manual-page-for-binary nova-network
openstack-nova.noarch: W: no-manual-page-for-binary nova-spoolsentry
openstack-nova.noarch: W: no-manual-page-for-binary nova-vncproxy
openstack-nova.noarch: W: no-manual-page-for-binary nova-api-ec2
openstack-nova.noarch: W: no-manual-page-for-binary nova-debug
openstack-nova.noarch: W: no-manual-page-for-binary nova-api-os
openstack-nova.noarch: W: no-manual-page-for-binary nova-direct-api
openstack-nova.noarch: W: no-manual-page-for-binary nova-ajax-console-proxy
openstack-nova.noarch: W: no-manual-page-for-binary nova-stack
openstack-nova.noarch: W: no-manual-page-for-binary nova-scheduler
openstack-nova.noarch: W: no-manual-page-for-binary nova-objectstore
openstack-nova.noarch: W: no-manual-page-for-binary nova-instance-usage-audit

We should file a bug with upstream requesting man pages

Comment 1 Angus Salkeld 2011-08-30 07:21:08 UTC
I was thinking of using help2man in the spec as the --help output is
quite good. An least until upstream sort it out. (asking for man
pages normally takes a while).

Comment 2 Mark McLoughlin 2011-08-30 07:39:24 UTC
Nice idea!

Comment 3 Mark McLoughlin 2012-03-08 09:01:14 UTC
No progress, so unassigning

Comment 4 Fedora End Of Life 2013-01-16 16:06:50 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Fedora End Of Life 2013-02-13 19:28:56 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.